Home | All Classes | Grouped Classes | Index | Search

# CL_ResourceManager::get_resource_provider

Returns a pointer to the input source provider, in which all resources are stored.

    	CL_InputSourceProvider* get_resource_provider();

Return value:

Pointer to inputsourceprovider containing resource data.

Detailed description:

This can be a file provider or a datafile provider depending on method used to load the script file.

See also:

CL_InputSource | CL_InputSourceProvider | CL_ResourceManager

Questions or comments, write to the ClanLib mailing list.